<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

function formulaires_editer_autorisations_charger_dist($id_auteur=0, $redirect=''){
	$valeurs = ['auth_modele' => _AUTH_MODELE];

	if (intval($id_auteur)) {
		$valeurs["id_auteur"] = intval($id_auteur);
	}

	return $valeurs;
}

function formulaires_editer_autorisations_verifier_dist($id_auteur=0, $redirect=''){
	$erreurs = array();
	return $erreurs;
}

function formulaires_editer_autorisations_traiter_dist($id_auteur=0, $redirect=''){
	include_spip('inc/session');
	$retour = array();

	$Tid_auteur = _request('Tid_auteur');
	foreach ($Tid_auteur as $id) {
		$Tauths =_request('id-'.$id);
		$Tautorisations = [];

		if (!empty($Tauths)) {
			foreach ($Tauths as $valeur) {
				$Tautorisations[key($valeur)][]= $valeur[key($valeur)];
			}
		}

		$set = [ 'autorisations' => json_encode($Tautorisations) ];
		sql_updateq('spip_auteurs', $set, 'id_auteur='.intval($id));

		$auteur = sql_fetsel('*', 'spip_auteurs','id_auteur='.intval($id));
		actualiser_sessions($auteur);
		$retour['message_ok'] = "Enregistrement validé";
	}

	if ($redirect) {
		$retour['redirect'] = $redirect;
	}

	return $retour;
}
